> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilta.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a merchant

> Fetch the full profile of a single merchant using the external_id your platform assigned at creation, including current onboarding status.

Use this endpoint to fetch the current state of a merchant record at any point in their lifecycle – from initial creation through onboarding completion and ongoing operations. The response includes the merchant's identity data, registered address, business identifiers, and current onboarding status. This is especially useful for polling approval status after a merchant completes onboarding, or for verifying stored data before submitting an order for financing.

<Tip>
  Use the `status` field to determine whether a merchant is ready to process financed orders. Only merchants with a status of
  `ENROLLED` can have their orders financed through Tilta.
</Tip>


## OpenAPI

````yaml GET /v1/merchants/{external_id}
openapi: 3.0.0
info:
  version: 0.0.1
  title: Tilta API
  description: Tilta API documentation
servers:
  - url: https://api.tilta.io
    description: Tilta Production API
  - url: https://api.tilta-sandbox.io
    description: Tilta Sandbox API
security: []
paths:
  /v1/merchants/{external_id}:
    get:
      tags:
        - Merchants
      summary: Retrieve a merchant
      description: Retrieves a merchant object.
      parameters:
        - schema:
            type: string
            maxLength: 100
            pattern: ^[a-zA-Z0-9-_]+$
            description: Unique identifier of a merchant.
          required: true
          name: external_id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  external_id:
                    type: string
                    maxLength: 100
                    pattern: ^[a-zA-Z0-9-_]+$
                    description: Unique identifier of a merchant.
                  status:
                    type: string
                    enum:
                      - ENROLLED
                      - INACTIVE
                      - EXPIRED
                    description: Merchant's enrollment status
                  created_at:
                    type: number
                    description: >-
                      Timestamp indicating when the merchant was created (unix
                      time in seconds).
                    example: 1582896122
                  updated_at:
                    type: number
                    description: >-
                      Timestamp indicating the last time the merchant was
                      updated (unix time in seconds).
                    example: 1582896122
                  legal_name:
                    type: string
                    description: >-
                      Merchant's full legal name incl. the legal form if
                      applicable.
                    example: ACME Distribution GmbH
                  legal_form:
                    type: string
                    enum:
                      - LIMITED_COMPANY
                      - SOLE_TRADER
                      - PARTNERSHIP
                      - PUBLIC_COMPANY
                      - COOPERATIVE
                      - GOVERNMENT
                      - OTHER
                    description: >-
                      Merchant's legal form, which depends on the merchant's
                      registered country. [Available legal
                      forms](https://docs.tilta.io/docs/legal-forms) cover
                      Tilta's operating countries.
                  trading_name:
                    type: string
                    nullable: true
                    description: Merchant's trading name.
                    example: ACME
                  business_identifiers:
                    type: array
                    nullable: true
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - VAT_ID
                            - TAX_ID
                            - REGISTER_ID
                            - CREFO_ID
                            - ALLIANZ_TRADE_ID
                            - SCHUFA_ID
                            - CREDITSAFE_ID
                            - CRIF_ID
                            - ELLISPHERE_ID
                          description: The type of business identifier
                        value:
                          type: string
                          maxLength: 48
                          description: The value of the business identifier
                        country:
                          type: string
                          enum:
                            - AF
                            - AL
                            - DZ
                            - AS
                            - AD
                            - AO
                            - AI
                            - AQ
                            - AG
                            - AR
                            - AM
                            - AW
                            - AU
                            - AT
                            - AZ
                            - BS
                            - BH
                            - BD
                            - BB
                            - BY
                            - BE
                            - BZ
                            - BJ
                            - BM
                            - BT
                            - BO
                            - BQ
                            - BA
                            - BW
                            - BV
                            - BR
                            - IO
                            - BN
                            - BG
                            - BF
                            - BI
                            - CV
                            - KH
                            - CM
                            - CA
                            - KY
                            - CF
                            - TD
                            - CL
                            - CN
                            - CX
                            - CC
                            - CO
                            - KM
                            - CD
                            - CG
                            - CK
                            - CR
                            - HR
                            - CU
                            - CW
                            - CY
                            - CZ
                            - CI
                            - DK
                            - DJ
                            - DM
                            - DO
                            - EC
                            - EG
                            - SV
                            - GQ
                            - ER
                            - EE
                            - SZ
                            - ET
                            - FK
                            - FO
                            - FJ
                            - FI
                            - FR
                            - GF
                            - PF
                            - TF
                            - GA
                            - GM
                            - GE
                            - DE
                            - GH
                            - GI
                            - GR
                            - GL
                            - GD
                            - GP
                            - GU
                            - GT
                            - GG
                            - GN
                            - GW
                            - GY
                            - HT
                            - HM
                            - VA
                            - HN
                            - HK
                            - HU
                            - IS
                            - IN
                            - ID
                            - IR
                            - IQ
                            - IE
                            - IM
                            - IL
                            - IT
                            - JM
                            - JP
                            - JE
                            - JO
                            - KZ
                            - KE
                            - KI
                            - KP
                            - KR
                            - KW
                            - KG
                            - LA
                            - LV
                            - LB
                            - LS
                            - LR
                            - LY
                            - LI
                            - LT
                            - LU
                            - MO
                            - MG
                            - MW
                            - MY
                            - MV
                            - ML
                            - MT
                            - MH
                            - MQ
                            - MR
                            - MU
                            - YT
                            - MX
                            - FM
                            - MD
                            - MC
                            - MN
                            - ME
                            - MS
                            - MA
                            - MZ
                            - MM
                            - NA
                            - NR
                            - NP
                            - NL
                            - NC
                            - NZ
                            - NI
                            - NE
                            - NG
                            - NU
                            - NF
                            - MK
                            - MP
                            - 'NO'
                            - OM
                            - PK
                            - PW
                            - PS
                            - PA
                            - PG
                            - PY
                            - PE
                            - PH
                            - PN
                            - PL
                            - PT
                            - PR
                            - QA
                            - RO
                            - RU
                            - RW
                            - RE
                            - BL
                            - SH
                            - KN
                            - LC
                            - MF
                            - PM
                            - VC
                            - WS
                            - SM
                            - ST
                            - SA
                            - SN
                            - RS
                            - SC
                            - SL
                            - SG
                            - SX
                            - SK
                            - SI
                            - SB
                            - SO
                            - ZA
                            - GS
                            - SS
                            - ES
                            - LK
                            - SD
                            - SR
                            - SJ
                            - SE
                            - CH
                            - SY
                            - TW
                            - TJ
                            - TZ
                            - TH
                            - TL
                            - TG
                            - TK
                            - TO
                            - TT
                            - TN
                            - TM
                            - TC
                            - TV
                            - TR
                            - UG
                            - UA
                            - AE
                            - GB
                            - UM
                            - US
                            - UY
                            - UZ
                            - VU
                            - VE
                            - VN
                            - VG
                            - VI
                            - WF
                            - EH
                            - YE
                            - ZM
                            - ZW
                            - AX
                          description: Two-letter country code (ISO 3166-1 alpha-2).
                      required:
                        - type
                        - value
                        - country
                      additionalProperties: false
                    description: A list of business identifiers
                  business_address:
                    type: object
                    properties:
                      street:
                        type: string
                        description: Address line (e.g. street, road, place).
                        example: Example Street
                      house:
                        type: string
                        description: House number or denominator.
                        example: 42b
                      postcode:
                        type: string
                        description: ZIP or postal code.
                        example: '12345'
                      city:
                        type: string
                        description: City, district, town, or village.
                        example: Berlin
                      country:
                        type: string
                        enum:
                          - AF
                          - AL
                          - DZ
                          - AS
                          - AD
                          - AO
                          - AI
                          - AQ
                          - AG
                          - AR
                          - AM
                          - AW
                          - AU
                          - AT
                          - AZ
                          - BS
                          - BH
                          - BD
                          - BB
                          - BY
                          - BE
                          - BZ
                          - BJ
                          - BM
                          - BT
                          - BO
                          - BQ
                          - BA
                          - BW
                          - BV
                          - BR
                          - IO
                          - BN
                          - BG
                          - BF
                          - BI
                          - CV
                          - KH
                          - CM
                          - CA
                          - KY
                          - CF
                          - TD
                          - CL
                          - CN
                          - CX
                          - CC
                          - CO
                          - KM
                          - CD
                          - CG
                          - CK
                          - CR
                          - HR
                          - CU
                          - CW
                          - CY
                          - CZ
                          - CI
                          - DK
                          - DJ
                          - DM
                          - DO
                          - EC
                          - EG
                          - SV
                          - GQ
                          - ER
                          - EE
                          - SZ
                          - ET
                          - FK
                          - FO
                          - FJ
                          - FI
                          - FR
                          - GF
                          - PF
                          - TF
                          - GA
                          - GM
                          - GE
                          - DE
                          - GH
                          - GI
                          - GR
                          - GL
                          - GD
                          - GP
                          - GU
                          - GT
                          - GG
                          - GN
                          - GW
                          - GY
                          - HT
                          - HM
                          - VA
                          - HN
                          - HK
                          - HU
                          - IS
                          - IN
                          - ID
                          - IR
                          - IQ
                          - IE
                          - IM
                          - IL
                          - IT
                          - JM
                          - JP
                          - JE
                          - JO
                          - KZ
                          - KE
                          - KI
                          - KP
                          - KR
                          - KW
                          - KG
                          - LA
                          - LV
                          - LB
                          - LS
                          - LR
                          - LY
                          - LI
                          - LT
                          - LU
                          - MO
                          - MG
                          - MW
                          - MY
                          - MV
                          - ML
                          - MT
                          - MH
                          - MQ
                          - MR
                          - MU
                          - YT
                          - MX
                          - FM
                          - MD
                          - MC
                          - MN
                          - ME
                          - MS
                          - MA
                          - MZ
                          - MM
                          - NA
                          - NR
                          - NP
                          - NL
                          - NC
                          - NZ
                          - NI
                          - NE
                          - NG
                          - NU
                          - NF
                          - MK
                          - MP
                          - 'NO'
                          - OM
                          - PK
                          - PW
                          - PS
                          - PA
                          - PG
                          - PY
                          - PE
                          - PH
                          - PN
                          - PL
                          - PT
                          - PR
                          - QA
                          - RO
                          - RU
                          - RW
                          - RE
                          - BL
                          - SH
                          - KN
                          - LC
                          - MF
                          - PM
                          - VC
                          - WS
                          - SM
                          - ST
                          - SA
                          - SN
                          - RS
                          - SC
                          - SL
                          - SG
                          - SX
                          - SK
                          - SI
                          - SB
                          - SO
                          - ZA
                          - GS
                          - SS
                          - ES
                          - LK
                          - SD
                          - SR
                          - SJ
                          - SE
                          - CH
                          - SY
                          - TW
                          - TJ
                          - TZ
                          - TH
                          - TL
                          - TG
                          - TK
                          - TO
                          - TT
                          - TN
                          - TM
                          - TC
                          - TV
                          - TR
                          - UG
                          - UA
                          - AE
                          - GB
                          - UM
                          - US
                          - UY
                          - UZ
                          - VU
                          - VE
                          - VN
                          - VG
                          - VI
                          - WF
                          - EH
                          - YE
                          - ZM
                          - ZW
                          - AX
                        description: Two-letter country code (ISO 3166-1 alpha-2).
                      additional:
                        type: string
                        nullable: true
                        description: >-
                          Additional address information (e.g. PO Box, c/o name
                          etc.).
                        example: c/o Testimonial
                    required:
                      - postcode
                      - city
                      - country
                    description: Merchant's address.
                  contact_emails:
                    type: array
                    items:
                      type: string
                      format: email
                    maxItems: 10
                    description: Merchant's contact emails
                  incorporated_at:
                    type: number
                    nullable: true
                    description: >-
                      Merchant's date of incorporation (unix time in seconds),
                      meaning the date when the business of registered or
                      started.
                    example: 1582896122
                required:
                  - external_id
                  - status
                  - created_at
                  - updated_at
                  - legal_name
                  - legal_form
                  - business_address
                  - contact_emails
                additionalProperties: false
                description: Details for the merchant.
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/badRequestSchema'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unauthorizedRequestSchema'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/merchantNotFoundSchema'
      security:
        - bearerAuth: []
components:
  schemas:
    badRequestSchema:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: BAD_REQUEST
        error:
          type: string
          description: Error message for debugging purposes
          example: Request validation failed. 1 issue found.
        issues:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                description: Issue code
                example: INVALID_TYPE
              path:
                type: string
                description: Issue path starting with body, params, querystring, or headers
                example: body.registered_at
              message:
                type: string
                description: Issue message for debugging purposes
                example: Invalid type
            required:
              - code
              - path
              - message
          description: List of issues
          example:
            - code: INVALID_TYPE
              path: body.registered_at
              message: Invalid type
      required:
        - code
        - error
        - issues
      description: Bad Request, see error message for details.
      example:
        code: BAD_REQUEST
        error: Request validation failed. 1 issue found.
        issues:
          - code: INVALID_TYPE
            path: body.registered_at
            message: Invalid type
    unauthorizedRequestSchema:
      type: object
      properties:
        error:
          type: string
          description: Error details.
          example: Unauthorized
        code:
          type: string
          description: Error code.
          example: UNAUTHORIZED
      required:
        - error
        - code
      description: Unauthorized Request.
      example:
        error: Unauthorized
        code: UNAUTHORIZED
    merchantNotFoundSchema:
      type: object
      properties:
        error:
          type: string
          description: Error details.
          example: No Entity found
        code:
          type: string
          description: Error code.
          example: NOT_FOUND
      required:
        - error
        - code
      description: Merchant not found
      example:
        error: No Entity found
        code: NOT_FOUND
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your Tilta API key, sent as `Bearer <key>`.

````